<?php
/**
 * @package Bindchat
 * @version 1.0.0
 * @email bindchatinc@gmail.com
 */

add_action( 'widgets_init', 'bindchat_register_widgets' );

function bindchat_register_widgets() {
	register_widget( 'Bindchat_Widget' );
}

class Bindchat_Widget extends WP_Widget {

    function Bindchat_Widget() {
        parent::__construct(
                'bindchat_widget',
                __( '必聊在线客服' ),
                array( 'description' => __( '显示必聊在线客服Widget' ) )
                );

        if ( is_active_widget( false, false, $this->id_base ) ) {
            add_action( 'wp_head', array( $this, 'load_js' ) );
        }
    }



    function load_js(){

    }

    function form( $instance ) {

    }

    function update( $new_instance, $old_instance ) {
        $instance['title'] = strip_tags( $new_instance['title'] );
        return $instance;
    }

    function widget( $args, $instance ) {
        $siteid = get_option('bindchat_site_id');
	    if (!empty($siteid)) {
?>
            <script>
            (function (w, d, e, g, r, a, m) {
             w['BindChatObject'] = r;
             w[r] = w[r] || function () {
             (w[r].q = w[r].q || []).push(arguments)
             }, w[r].t = 1 * new Date();
             a = d.createElement(e),
             m = d.getElementsByTagName(e)[0];
             a.async = 1;
             a.src = g;
             m.parentNode.insertBefore(a, m)
             })(window, document, 'script', '//www.bindchat.com/api/js/all.js', 'bindchat');

        bindchat('create', '<?php echo $siteid;?>', '<?php echo $_SERVER["HTTP_HOST"];?>');
        </script>
            <noscript>
            <a href="http://www.bindchat.com/sites/contact/<?php echo $siteid;?>" target="_blank">Feedback?</a> 
            powered by <a href="http://www.bindchat.com/welcome">Bindchat</a>
            </noscript>
<?php
        }
    }
}


?>
